=== debian/changelog ===
debian-edu-config (2.10.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add new cfengine file cf3/cf.tftpd; the '--secure' option (tftpd-hpa) needs
     to be disabled to provide both PXE menu and LTSP. (tftpd-hpa is now used
     instead of atftpd to match the ltsp-server package recommends).
  * Adjust cf3/promises.cf to enable the tftpd configuration file.
  * Adjust Makefile to reflect cfengine changes.
  * testsuite/network: fix log message (nmap path).
  * testsuite/webserver: Drop etc/skel test; the test is obsolete, now that the
    firefox ini file is no longer generated.

  [ Holger Levsen ]
  * Bump standards version to 4.2.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 12 Aug 2018 14:57:04 +0200

debian-edu-config (2.10.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postrm:
    - Fix cfengine3 related cleanup code (remove and purge cases).

 -- Holger Levsen <holger@debian.org>  Fri, 27 Jul 2018 10:57:35 +0800

debian-edu-config (2.10.32) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postrm:
    - Move cfengine3 related cleanup code from remove to purge case.
      Thanks to Andreas Beckmann. (Closes: #904516).

 -- Holger Levsen <holger@debian.org>  Wed, 25 Jul 2018 10:01:51 +0000

debian-edu-config (2.10.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control: Remove unneeded Suggests: atftpd | tftpd-hpa.
  * ltsp/init-ltsp.d/60-edu-client: Disable desktop-autoloader for thin clients.
    The desktop-autoloader needs site specific configuration (and activation);
    this code makes sure to only run it on diskless workstations.
    (Closes: #895020).

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jul 2018 18:42:47 +0000

debian-edu-config (2.10.30) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Drop unused etc/samba/smb-debian-edu-client.conf file; content is wrong
    anyway. Also, tools/setup-ad-client generates a proper smb.conf on the fly.
  * d/control: Use dependency order tftp-hpa | tftp to avoid possible conflicts.

  [ Holger Levsen ]
  * Bump standards version to 4.1.5, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 11 Jul 2018 16:38:57 +0000

debian-edu-config (2.10.29) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Generate NetBIOS compliant hostname; this allows one to keep the hostname
    in case the MATE desktop is configured to use file sharing via Samba.
    Same applies if a roaming workstation is configured to connect to an
    active directory DC (via tools/setup-ad-client).
    Instead of e.g. 'auto-mac-11-22-33-44-55-66', now 'am-112233445566' is
    generated. (Closes: #900629).

 -- Holger Levsen <holger@debian.org>  Fri, 06 Jul 2018 12:40:08 +0000

debian-edu-config (2.10.28) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve kerberized NFS:
    - Adjust share/debian-edu-config/tools/gosa-create-host:
       + Fix code to also generate Kerberos Principals for systems of type
         netdevices.
       + Use /etc/debian-edu/host-keytabs/ as $fqdn.keytab file location.
    - Add new script share/debian-edu-config/tools/gosa-remove-host:
       + Remove principals and host keytab.
    - Add new script share/debian-edu-config/tools/gosa-modify-host:
       + This is needed to generate principals and host keytab also for hosts
         added via sitesummary2ldapdhcp.
    - ldap-bootstrap/sudo.ldif:
       + Add 'gosa-remove-host' command.
       + Add 'gosa-modify-host' command.
    - share/debian-edu-config/gosa.conf.template: Adjust postremove and
      postmodify hooks.
  * Adjust share/debian-edu-config/tools/edu-ldap-from-scratch:
     - Remove host keytab files, too.
  * Add new Cfengine configuration file cf3/cf.sshd:
     - Adjust /etc/ssh/sshd_config to allow kerberized ssh. (The ssh client
       config allows this by default.)
  * cf3/cf.finalize: Fix typo.
  * Adjust Makefile and cf3/promises.cf file.

  [ Holger Levsen ]
  * d/control: Update Vcs: headers to point to salsa.debian.org.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 12:26:44 +0000

debian-edu-config (2.10.27) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/d-i/pre-pkgsel:
     - Leave network configuration to NetworkManager also on workstations.
       This should ensure that NetworkManager.wait-online.service works like
       expected. Thanks to Mike Gabriel. (Closes: #887861)
  * cf3/cf.finalize: Move shell command for networked desktops into own file
    cf3/cf.desktop-networked.
  * cf3/promises.cf: Include cf.desktop-networked at an early execution stage.
  * Prepare kerberized NFS for systems of type servers, workstations, terminals:
    - Adjust share/debian-edu-config/tools/gosa-create-host
      + Add code to generate host/$fqdn and nfs/$fqdn Kerberos Principals.
      + Add code to generate /etc/$fqdn.keytab file.
    - ldap-bootstrap/sudo.ldif: Add 'gosa-create-host' command.
    - share/debian-edu-config/gosa.conf.template: Adjust postcreate hooks.

  [ Mike Gabriel ]
  * ldap-schemas/kerberos.schema: Update from krb5-kdc-ldap 1.16-1.

 -- Holger Levsen <holger@debian.org>  Fri, 25 May 2018 17:25:18 +0000

debian-edu-config (2.10.26) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Prepare for a modular installation scenario (updated d-e-task files from
    src:debian-edu 2.10.23 needed).
    - cf3/edu.cf: Add class desktopintern.
      This class matches a stationary workstation with the meta-package
      education-desktop-other installed.
    - cf3/cf.finalize: Add shell command for class desktopintern.
      This allows one to install some packages suited only for networked
      machines in addition to those installed via the education-desktop-other
      meta-package for all workstations.
    With these changes it would be possible to uncouple services infrastructure
    setup (including LTSP) and desktop setup by removing the 'desktop=xxxx'

