## debian-edu-config 2.10.35

=== debian/changelog ===
debian-edu-config (2.10.35) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * share/debian-edu-config/firefox-networked-prefs.js: adjust deprecated
    lockPref entry. lockPref will no longer be supported after version 67.

  [ Holger Levsen ]
  * Bump standards version to 4.2.1, no changes needed.
  * Remove empty line at the end of d/rules, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 10 Sep 2018 12:53:55 +0200
