=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,3 @@
 
 override_dh_gconf:
 	dh_gconf  --priority=50
-
