## debian-edu-config 2.10.37

=== debian/changelog ===
debian-edu-config (2.10.37) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix squid configuration now that systemd support has been added to squid
    and /etc/default/squid isn't used anymore:
    - cf3/cf.squid: Link our configuration as /etc/squid/squid.conf, adjust
      the squid-update-cachedir call.
    - share/debian-edu-config/tools/squid-update-cachedir: Stop sourcing
      /etc/default/squid, adjust the code to be systemd compliant.
  * www/index.html.*: Use relative links whenever possible. (Closes: #906467).
  * cf3/cf.desktop-networked: Replace 'apt' with 'apt-get' in shell command.
  * Drop etc/apt/apt.conf.d/90squid:
    - The workaround is obsolete, the related bug has been fixed in 2015.
    - Adjust d/debian-edu-config.maintscript and Makefile.

 -- Holger Levsen <holger@debian.org>  Sun, 23 Sep 2018 10:41:09 +0200

debian-edu-config (2.10.36) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/{rules,gconf-defaults}: stop using dh_gconf. Simply remove gconf
    stuff entirely. (Closes: #908880).

 -- Holger Levsen <holger@debian.org>  Mon, 17 Sep 2018 16:38:46 +0200
