=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: po-debconf,
