## debian-edu-config 2.10.38

=== debian/changelog ===
debian-edu-config (2.10.38) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/run-at-firstboot:
    - Remove obsolete LTSP related workaround.
    - Drop no longer needed Squid setup related fix.
    - Replace nagios3 with icinga.
  * sbin/debian-edu-ltsp:
    - Remove obsolete workaround.
    - Adjust code now that the LTSP chroot arch matches the server arch.

 -- Holger Levsen <holger@debian.org>  Fri, 28 Sep 2018 23:37:21 +0200
