## debian-edu-config 2.10.40

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,6 @@
 
 # Files to install in /etc/
 SYSCONFFILES = \
-	apt/apt.conf.d/90squid \
 	apt/apt.conf.d/99-edu-prefer-firefox \
 	bind/named.conf.ldap2zone \
 	bind/db.intern \
@@ -375,3 +374,4 @@
 		share/debian-edu-config/sslCA.cnf \
 		share/debian-edu-config/v3.cnf \
 		share/debian-edu-config/v3CA.cnf \
+		share/debian-edu-config/profiles.ini \
