=== debian/changelog ===
debian-edu-config (2.10.40) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * ldap-tools/sitesummary2ldapdhcp: Use 'workstations' as default system type.
    Change the default type from 'netdevices' to 'workstations' to avoid a
    possible pitfall. (For hosts of type 'netdevices' Krb5 principals and a
    related keytabfile can't be created due to missing attributes.)
    Also, 'workstations' is supposed to be the wanted type in most cases.
  * share/debian-edu-config/tools/gosa-modify-host: Improve logging text.
  * share/debian-edu-config/tools/gosa-remove-host: Add logging statement.

 -- Holger Levsen <holger@debian.org>  Wed, 10 Oct 2018 18:06:10 +0100

debian-edu-config (2.10.39) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * ldap-tools/mkslapdcert: Remove obsolete (random-seed related) workaround.
  * cf3/edu.cf: Add class definition for profile 'Minimal'.
  * cf3/cf.grub: Adjust configuration for systems with profile 'Minimal'. Keep
    legacy interface names to ensure easier configuration as a gateway; don't
    run 'plymouth-set-default-theme', plymouth isn't used on a minimal system.
  * Improve scripts needed for kerberized NFS. (Closes: #649854, #649856).
    - share/debian-edu-config/tools/gosa-remove-host:
      + Make host principals and keytab file removal conditional; this is needed
        in case a system accidentally added via sitesummary2ldapdhcp is removed
        without any modification applied.
    - share/debian-edu-config/tools/gosa-modify-host:
      + Also create nfs principal for the modified host.
      + Remove leftover principals and keytab file belonging to modified host.
      + Add logging statement.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Oct 2018 10:51:01 +0100
