## debian-edu-config 2.10.43

=== debian/changelog ===
debian-edu-config (2.10.43) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add etc/network/if-up.d/{hostname,wpad-proxy-update}. (Closes: #780461)
    These scripts make sure that hostname and wpad.dat changes take effect
    immediately after reboot. The existing dhclient-exit hook scripts are only
    executed in the case of DHCP lease renewals which happen in intervals of
    random length (between 600 and 900 seconds).
  * Adjust Makefile and debian/dirs to reflect the changes.
  * Adjust share/ltsp/init-ltsp.d/60-edu-client:
    - Ensure /etc/environment is set correctly on diskless workstations.
  * debian/debian-edu-config.enable-nat:
    - Adjust path to iptables binary (/sbin -> /usr/sbin). While Buster still
      ships symlinks, those are planned to be removed in Bullseye.
  * Fix incomplete sentence in previous changelog entry.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Nov 2018 12:26:21 +0100

debian-edu-config (2.10.42) unstable; urgency=medium

  [ Mike Gabriel ]
  * update-chromium-homepage:
    - Don't complain about non-existing config file when attempting its removal.
    - Don't statically set http://www as homepage, use detected homepage
      instead. (Closes: #911790)
  * update-firefox-homepage:
    - Don't complain about non-existing config file when attempting its
      removal.

  [ Wolfgang Schweer ]
  * Improve cfengine configuration file management during upgrades:
    - Adjust debian/debian-edu-config.postinst to copy related files.
    - Add cf-agent related entries to debian/cron.d, but leave them commented.
  * Use NFS again (instead of NBD) to mount the LTSP client root filesystem:
    - Add share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image
      to enable setting it; see #904427 (LTSP) why this is needed.
    - Add etc/ltsp/ltsp-build-client.conf with settings for NFS.
    - Adjust sbin/debian-edu-pxeinstall and etc/debian-edu/pxeinstall.conf
      accordingly to be able to use NFS on the main network as well.
    - Rework cf3/cf.homes:
      + Write /etc/export file with profile and architecture dependent values.
      + Drop no longer needed nfs-{common,kernel-server} configuration edits.
  * Improve PXE installation setup:
    - Rework sbin/debian-edu-pxeinstall (make modular installation desktop,
      d-i download URL and installer type configurable).
    - Adjust etc/debian-edu/pxeinstall.conf accordingly.
  * share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection:
    - Use /etc/debian_version to determine the DIST value; this is needed as a
      workaround for #911382 (LTSP).
    - Drop no longer needed code (related to mirror and proxy setup).
  * share/debian-edu-config/tools/edu-ldap-from-scratch:
    - Don't fail in case host keytab files are missing.
  * Adjust Makefile and debian/dirs to reflect the changes.

  [ Holger Levsen ]
  * update-chromium-homepage: Drop mkdir for target dir of $etcfile as its
    created via debian/dirs.
  * update-firefox-homepage: Drop mkdir for target dir of $etcfile as its
    created via debian/dirs.
  * debian/dirs: Add /etc/chromium/policies/managed.

 -- Holger Levsen <holger@debian.org>  Fri, 26 Oct 2018 17:15:13 +0200

debian-edu-config (2.10.41) unstable; urgency=medium

  [ Mike Gabriel ]
  * etc/apache2/mods-available/debian-edu-userdir.conf: Make config
    snippet more generic, let it work on all hosts on the Debian Edu
    network by default.

  [ Holger Levsen ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Holger Levsen <holger@debian.org>  Wed, 24 Oct 2018 15:50:15 +0200
