## debian-edu-config 2.10.44

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,9 @@
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-squeeze_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
+	ltsp/ltsp-build-client.conf \
+	network/if-up.d/hostname \
+	network/if-up.d/wpad-proxy-update \
 	samba/netlogon/1stlogon/1stlogon.bat \
 	samba/netlogon/config/get_time.bat \
 	samba/netlogon/config/penguin.bat \
@@ -359,6 +362,7 @@
  share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
@@ -371,7 +375,3 @@
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
 		share/debian-edu-config/ssl.cnf \
-		share/debian-edu-config/sslCA.cnf \
-		share/debian-edu-config/v3.cnf \
-		share/debian-edu-config/v3CA.cnf \
-		share/debian-edu-config/profiles.ini \
