=== debian/changelog ===
debian-edu-config (2.10.44) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework squid configuration now that custom configuration files can be put
    into the /etc/squid/conf.d/ directory.
    - share/debian-edu-config/squid.conf:
      + Ship only Debian Edu specific options.
    - cf3/cf.squid:
      + Link the Debian Edu specific squid.conf file as additional
        configuration /etc/squid/conf.d/debian-edu.conf.
    - share/debian-edu-config/tools/squid-update-cachedir:
      + Use Debian Edu specific add-on configuration file.
      + Add additional logging statement.
    - share/debian-edu-config/tools/run-at-firstboot:
      + Adjust to use the new file location.
  *  d/debian-edu-config.lintian-overrides:
     - Add script-not-executable entries for etc/network/if-up.d/hostname and
       etc/network/if-up.d/wpad-proxy-update

 -- Holger Levsen <holger@debian.org>  Tue, 06 Nov 2018 14:43:30 +0100
