## debian-edu-config 2.10.45

=== debian/changelog ===
debian-edu-config (2.10.45) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-pxeinstall:
    - Add code to enable the replacement of the stock Debian Installer logo with
      the Debian Edu one in case the graphical installer has been chosen.
    - Drop test builds related leftover cruft.
  * share/debian-edu-config/tools/debian-edu-bless:
    - Switch TESTINSTALL variable setting as test distributions are gone since
      years, but a status report might still be useful; reword related comment.
  * testsuite/doc:
    - Use secure URL for wiki.debian.org.
    - Adjust the FIXME: count code to report a proper number.
  * debian/debian-edu-config.postinst
    - Drop wpad-proxy-update (via ifup) for the main server.

 -- Holger Levsen <holger@debian.org>  Tue, 13 Nov 2018 14:26:04 +0100
