## debian-edu-config 2.10.47

=== debian/changelog ===
debian-edu-config (2.10.47) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix debian/debian-edu-config.postinst to avoid failing upon upgrades:
    - Make wpad-proxy-update related code conditional.
    - Don't complain about non-existing wpad-proxy-update file.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2018 12:48:05 +0100

debian-edu-config (2.10.46) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Workaround for mounting removable media on diskless workstations, see LDM
    bug #913774. Due to missing session registering with wtemp and utemp, media
    mounting gets denied.
    - Add share/debian-edu-config/udisks2.patch.
    - Use code in share/ltsp/init-ltsp.d/60-edu-client to apply the patch (this
      happens only on-the-fly for each session in the overlay filesystem).
  * Adjust Makefile.
  * Install task 'standard' (system utilities) inside the LTSP chroot. It should
    ensure the installation is put on top of a stock Debian system with nothing
    missing.
  * Switch back to NDB as default for the LTSP root filesystem as the
    performance in real world deployments seems to be better.
    Using NFS can be configured in /etc/ltsp/ltsp-build-client.conf; this might
    come in handy during development and testing.
  * Improve handling of Debian packages. (Closes: #913886).
    - share/debian-edu-config/squid.conf: Add settings proposed by Mike Gabriel.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2018 11:45:23 +0100

debian-edu-config (1.426) uns
