=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Wolfgang Schweer <wschweer@arcor.de>,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 11)
 Build-Depends-Indep: po-debconf,
                      po4a,
                      help2man,
