## debian-edu-config 2.10.48

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	cf.sshd \
 	cf.syslog \
 	cf.tftpd \
+	cf.workarounds \
 	cf.xrdp \
 	edu.cf \
 	promises.cf
@@ -341,6 +342,7 @@
 		share/debian-edu-config/tools/exim4-create-environment \
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
 		share/debian-edu-config/ltspfs-mounter-kde \
+		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
 		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
 	; do \
@@ -373,5 +375,3 @@
 	set -e ; for f in \
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/firefox-networked-prefs.js \
-		share/debian-edu-config/squid.conf \
-		share/debian-edu-config/ssl.cnf \
