=== debian/changelog ===
debian-edu-config (2.10.48) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Work around some bugs (squid, XFCE, LXQt):
    - Add cf3/cf.workarounds.
    - Add related variable definitions to cf3/edu.cf to be able to conditionally
      apply the workarounds.
    - Adjust cf3/promises.cf to reflect the changes.
    - Add share/debian-edu-config/{squid.resolvconf,edu-xfce4-panel.xml}.
    - Adjust Makefile.
  * Adjust cf3/cf.grub to show the proper plymouth theme.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Nov 2018 16:03:10 +0100
