## debian-edu-config 2.10.49

=== debian/changelog ===
debian-edu-config (2.10.49) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add share/debian-edu-config/tools/copy-host-keytab:
    - Kerberos host key management made easy.
  * Add share/debian-edu-config/tools/create-user-nssdb:
    - User account certificate management upon upgrade from Stretch.
  * Add share/debian-edu-config/55xfce4-session-debian-edu:
    - This file has previously been shipped by the 'debian-edu-artwork' package.
      Moved to d-e-c because it's configuration, not artwork related.
  * Adjust cf3/cf.workarounds and Makefile to reflect the changes.
  * d/debian-edu-config.lintian-overrides:
    - Add 'uses-dpkg-database-directly' entry for etc/cron.d/debian-edu-config.
  * Fix spelling error in previous changelog entry (XFCE -> Xfce).

 -- Holger Levsen <holger@debian.org>  Thu, 29 Nov 2018 15:51:26 +0100
