=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,3 @@
 		--help-option="-h" \
 		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-createuser-krb5 \
 		> debian/debian-edu-config/usr/share/man/man1/ldap-createuser-krb5.1
-
-override_dh_gconf:
-	dh_gconf  --priority=50
