## debian-edu-config 2.10.50

=== Makefile ===
--- 
+++ 
@@ -99,8 +99,7 @@
 	php/apache2/php-debian-edu.ini \
 	insserv/overrides/ntp \
 	ldap/rootDSE-debian-edu.ldif \
-	ldap/slapd-squeeze_debian-edu.conf \
-	ldap/ssl/slapd-cert.cnf \
+	ldap/slapd-debian-edu.conf \
 	ltsp/ltsp-build-client.conf \
 	network/if-up.d/hostname \
 	network/if-up.d/wpad-proxy-update \
@@ -214,7 +213,6 @@
 	ldap-createuser-krb5 \
 	ldap2netgroup \
 	ldap-debian-edu-install \
-	mkslapdcert \
 	sitesummary2ldapdhcp
 
 WWWFILES = \
@@ -341,6 +339,8 @@
 		share/debian-edu-config/tools/ldap-server-getcert \
 		share/debian-edu-config/tools/exim4-create-environment \
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
+		share/debian-edu-config/tools/create-user-nssdb \
+		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/ltspfs-mounter-kde \
 		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
@@ -374,4 +374,3 @@
 
 	set -e ; for f in \
 		share/debian-edu-config/rsyslog-collector \
-		share/debian-edu-config/firefox-networked-prefs.js \
