=== debian/changelog ===
debian-edu-config (2.10.50) unstable; urgency=medium

  [ Mike Gabriel ]
  * etc/shutdown-at-night/clients-generator: Support recent output
    of ifconfig (where the MAC address comes in the second row of
    one's interface output and is prefixed by "^ether ...".

  [ Wolfgang Schweer ]
  * Generate slapd certificate the same way as all other server certificates.
    - Extend server certificate configuration to include ldap as well.
    - Drop now obsolete slapd-cert.cnf configuration file.
    - Drop tool mkslapdcert now that all server certificates are generated
      in one place.
    - Rename ldap/slapd-squeeze_debian-edu.conf -> ldap/slapd-debian-edu.conf
    - Adjust related files and tools:
      + init script debian/debian-edu-config.fetch-ldap-cert
      + cfengine configuration files cf3/cf.{ldapserver,ldapclient}
      + share/debian-edu-config/tools/{create-debian-edu-certs,update-cert-dbs}
      + debian/debian-edu-config.postinst
      + Makefile
  * cf3/edu.cf: Don't fail in case squid failed to initialize within d-i;
    update related comment.
  * Use FQDN (www.intern) as server name in Apache configuration files.
  * Remove start related parts from init scripts configuration as these are no
    longer supported (actually: since quite some time).

 -- Holger Levsen <holger@debian.org>  Thu, 13 Dec 2018 14:09:15 +0100
