## debian-edu-config 2.10.51

=== Makefile ===
--- 
+++ 
@@ -78,6 +78,7 @@
 	X11/Xsession.d/06debian-edu-firefox-ltsp \
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
+	X11/Xsession.d/55lightdm_gtk-greeter-rc \
 	debian-edu/nightkill.conf \
 	debian-edu/pxeinstall.conf \
 	default/munin-node \
@@ -341,6 +342,7 @@
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
 		share/debian-edu-config/tools/create-user-nssdb \
 		share/debian-edu-config/tools/copy-host-keytab \
+		share/debian-edu-config/tools/improve-desktop-l10n \
 		share/debian-edu-config/ltspfs-mounter-kde \
 		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
@@ -370,7 +372,3 @@
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
-	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
-
-	set -e ; for f in \
-		share/debian-edu-config/rsyslog-collector \
