=== debian/changelog ===
debian-edu-config (2.10.51) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add components for a more flexible and improved desktop localization.
    - share/debian-edu-config/lightdm-gtk-greeter.conf:
      + Enable language chooser in the lightdm panel.
    - etc/X11/Xsession.d/55lightdm_gtk-greeter-rc:
      + Create environment variables, needed to let the chosen language take
        effect everywhere.
    - share/debian-edu-config/tools/improve-desktop-l10n:
      + Evaluate configured locales and install related localization packages.
  * Add class definition to cf3/edu.cf to be able to conditionally configure
    the lightdm-gtk-greeter.
  * Adjust Makefile and cf3/finalize to reflect the changes.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Dec 2018 10:19:28 +0100

debian-edu-config (1.428) unstable; urgency=l
