## debian-edu-config 2.10.52

=== debian/changelog ===
debian-edu-config (2.10.52) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Final step for the improved desktop localization.
    - Add share/debian-edu-config/tools/install-task-pkgs. The tool makes sure
      that a localized Debian Edu desktop based upon a vanilla Debian one is
      available. The improved localization will allow to remove all lang-*
      packages from src:debian-edu and to cleanup the desktop-* packages.
    - Adjust cfengine setup (cf3/cf.finalize): call the install-task-pkgs tool.
  * Rework LTSP client setup configuration now that official Debian ISO images
     are available and bugs have been fixed (mostly thanks to ltsp 5.18.12-1).
    - Drop no longer needed plugins (workarounds):
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/011-http-nopipeline
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image
    - Adjust etc/ltsp/ltsp-build-client.conf to match ltsp 5.18.12-1 settings.
  * Adjust Makefile to reflect the changes.

  [ Holger Levsen ]
  * Bump standards version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 26 Dec 2018 14:18:53 +0100
