## debian-edu-config 2.10.53

=== Makefile ===
--- 
+++ 
@@ -343,6 +343,7 @@
 		share/debian-edu-config/tools/create-user-nssdb \
 		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/tools/improve-desktop-l10n \
+		share/debian-edu-config/tools/install-task-pkgs \
 		share/debian-edu-config/ltspfs-mounter-kde \
 		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
@@ -360,15 +361,18 @@
 	done
 
 	set -e ; for f in \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/011-http-nopipeline \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
+
+	set -e ; for f in \
+		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/firefox-networked-prefs.js \
+		share/debian-edu-config/squid.conf \
+		share/debian-edu-config/ssl.cnf \
