=== debian/changelog ===
debian-edu-config (2.10.53) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Some amendments.
    - debian/debian-edu-config.postinst: Don't run the cert tool inside d-i; the
      installation will break because requisites are not yet ready.
    - share/debian-edu-config/tools/install-task-pkgs: Drop superfluous last
      apt call; the task-desktop package gets already installed before.
    - share/debian-edu-config/tools/improve-desktop-l10n: Fix special case en;
      thunderbird-l10n-en-gb exists, but thunderbird-l10n-en doesn't.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Dec 2018 12:33:26 +0100
