## debian-edu-config 2.10.54

=== debian/changelog ===
debian-edu-config (2.10.54) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix NTP setup for profile 'Standalone'.
    - cf3/cf.ntp: Don't disable timesyncd on standalone systems.
  * Improve the script used by the src:debian-edu autopkg test.
    - share/debian-edu-config/tools/debian-edu-bless:
      Add the '-I' parameter to let cf-agent output more information.
      Prevent the script from exiting if the last etckeeper call should fail.
      Thanks to Holger Levsen for the hint.
  * Improve menu reorder setup.
    - Move code for the Standalone profile from cf3/cf.homes to cf3/cf.finalize
      as a better place.
    - Make sure the menus are reordered in each installation scenario case.
    - Adjust cf3/promises.cf to reflect the change.
  * Rework LDAP client configuration now that nslcd preseeding is working.
    - Add share/debian-edu-config/sudo-ldap.conf file to provide the last bit
      of information for clients (besides those contained in nslcd.conf).
    - Adjust cf3/cf.ldapclient accordingly.
    - Adjust Makefile.

 -- Holger Levsen <holger@debian.org>  Wed, 09 Jan 2019 15:43:59 +0100
