## debian-edu-config 2.10.55

=== debian/changelog ===
debian-edu-config (2.10.55) unstable; urgency=medium

  [ Dominik George ]
  * update-cert-dbs: Check user existence.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Jan 2019 15:54:12 +0100
